Skip to main content
PUT
/
v1
/
entries
/
{entryId}
Change a Pix key entry
curl --request PUT \
  --url https://plugin-pix-direct.api.lerian.net/v1/entries/{entryId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "<string>",
  "reason": 123,
  "accountOpeningDate": "<string>",
  "newAccount": "<string>",
  "newAccountType": 123,
  "newBranch": "<string>",
  "newName": "<string>",
  "newTradeName": "<string>"
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/entries/{entryId}"

payload = {
"accountId": "<string>",
"reason": 123,
"accountOpeningDate": "<string>",
"newAccount": "<string>",
"newAccountType": 123,
"newBranch": "<string>",
"newName": "<string>",
"newTradeName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
reason: 123,
accountOpeningDate: '<string>',
newAccount: '<string>',
newAccountType: 123,
newBranch: '<string>',
newName: '<string>',
newTradeName: '<string>'
})
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/entries/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key": "<string>",
  "claimOpenedAt": "<string>",
  "createdAt": "<string>",
  "ownershipStartAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Path Parameters

entryId
string
required

The Pix key value (URL-encoded).

Body

application/json
accountId
string
required

The CRM account id of the key owner (resolves the server-side ISPB).

reason
integer<int64>
required

Change reason (0=Customer Request,2=Branch Transfer,6=Reconciliation,8=Receita Federal Validation). EVP keys must not use 0.

accountOpeningDate
string

The new account's opening timestamp (RFC3339).

newAccount
string

The new account number to associate with the key.

newAccountType
integer<int64>

The new account type (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).

newBranch
string

The new branch number to associate with the key.

newName
string

The new owner full name / legal name.

newTradeName
string

The new owner trade name (sent only for a corporate owner).

Response

OK

key
string
required

The Pix key (unchanged).

claimOpenedAt
string

When a possession/portability claim was opened by the change (RFC3339), if any.

createdAt
string

When the key was created (RFC3339).

ownershipStartAt
string

When ownership of the key began (RFC3339).